//
//  ViewController.swift
//  text0324-1
//
//  Created by Mac on 2016/3/24.
//  Copyright © 2016年 Mac. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    var imgWidth:CGFloat = 0
    var imgHeigh:CGFloat = 0
    
    @IBOutlet weak var switchPhoto: UISwitch!
    @IBOutlet weak var sliderPhoto: UISlider!
    @IBOutlet weak var image: UIImageView!
    @IBOutlet weak var labelmsg: UILabel!
    
    @IBAction func switchChange(sender: UISwitch) {
        if switchPhoto.on {
            sliderPhoto.enabled = true
        } else {
            sliderPhoto.enabled = false
        }
    }
    
    
    @IBAction func sliderChange(sender: UISlider) {
        if switchPhoto.on {
            image.frame.size.width = imgWidth * CGFloat(sliderPhoto.value)
            image.frame.size.height = imgHeigh * CGFloat(sliderPhoto.value)
            labelmsg.text = "大小：\(Int(sliderPhoto.value * 100))%"
        }
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        
        imgWidth = image.frame.size.width
        imgHeigh = image.frame.size.height
        sliderPhoto.frame.size.width = 280
        sliderPhoto.minimumValue = 0.3
        sliderPhoto.value = 1
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

